=== debian/changelog ===
praat (6.4.46+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.46+dfsg
  * d/watch: Take into account letter suffix in upstream version
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Wed, 22 Oct 2025 01:39:50 -0300
