=== debian/tests/control ===
Tests: run-tests
Depends: @
Restrictions: allow-stderr
