=== debian/watch ===
Version: 5

Template: Github
Owner: praat
Project: praat
Repacksuffix: +dfsg
Dversionmangle: s/(?:\.([a-z]))?[~+]dfsg[0-9]*/\\1/
