## praat 6.4.47+dfsg

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 2 October 2025
+# 18 October 2025
 
 include ../makefile.defs
 
@@ -44,6 +44,7 @@
 	Proximity.o Proximity_and_Distance.o \
 	Resonator.o Roots_to_Spectrum.o \
 	SampledIntoSampled.o SampledFrameIntoSampledFrame.o \
+	SoundFrames.o \
 	Sound_and_MultiSampledSpectrogram.o Sound_and_MixingMatrix.o \
 	Sound_and_Spectrum_dft.o \
 	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o \
