=== debian/changelog ===
praat (6.4.47+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.47+dfsg
  * d/p/drop-no-pie.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 14 Nov 2025 02:25:19 -0300
