## praat 6.4.48+dfsg

=== debian/changelog ===
praat (6.4.48+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.48+dfsg
  * d/rules: Remove duplicate HTML files
  * d/clean: Remove "test/sys/large PDF/*.pdf" left over files

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Dec 2025 02:49:21 -0300
