## praat 6.4.49+dfsg

=== debian/changelog ===
praat (6.4.49+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.49+dfsg
  * d/p/drop-no-pie.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Dec 2025 14:29:20 -0300
