=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 DEBDIR = $(CURDIR)/debian
 INSTDIR = $(DEBDIR)/praat
+DOCSDIR = $(DEBDIR)/praat-doc/usr/share/doc/praat/docs
 
 PIXDIR = usr/share/pixmaps
 SVGDIR = usr/share/icons/hicolor/scalable/apps
@@ -78,5 +79,8 @@
 
 execute_after_dh_installdeb-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	rm debian/praat-doc/usr/share/doc/praat/docs/LICENSE.txt
+	# Remove extra license file
+	rm $(DOCSDIR)/LICENSE.txt
+	# Remove duplicated file (identical to index.html)
+	rm $(DOCSDIR)/Welcome.html $(DOCSDIR)/praat.html
 endif
