## praat 6.4.51+dfsg

=== debian/changelog ===
praat (6.4.51+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.51+dfsg
  * d/copyright: Reflect upstream changes
  * Refresh patches for new upstream version:
    + d/p/avoid-dangling-hyperlinks.patch
    + d/p/cross-build.patch
    + d/p/drop-no-pie.patch
    + d/p/honor-cppflags.patch
    + d/p/use-ldflags.patch
  * d/rules: Take into account system's endianness

 -- Rafael Laboissière <rafael@debian.org>  Sat, 03 Jan 2026 08:31:16 -0300
