=== debian/changelog ===
praat (6.4.52+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.52+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 Jan 2026 12:30:30 -0300
