## praat 6.4.55+dfsg

=== debian/changelog ===
praat (6.4.55+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.55+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Jan 2026 18:49:00 +0000
