## praat 6.4.57+dfsg

=== debian/changelog ===
praat (6.4.57+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.57+dfsg
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 25 Jan 2026 10:24:26 +0000
