=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Rafael Laboissière <rafael@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev,
                libgtk-3-dev,
@@ -12,7 +11,7 @@
                pandoc,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: https://www.praat.org
