=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+ifeq (1, $(shell echo -n I | od -to2 | head -n1 | cut -f2 -d" " | cut -c6))
+ENDIANESS = LE
+else
+ENDIANESS = BE
+endif
+
 %:
 	dh $@
 
@@ -49,7 +55,7 @@
 	# Get rid of the
 	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
 	# warnings and useless dependencies
-	cp makefiles/makefile.defs.linux.pulse-gcc makefile.defs
+	cp makefiles/makefile.defs.linux.pulse-gcc.$(ENDIANESS) makefile.defs
 	# Add hardening flags
 	cat debian/mk-vars-hardening >> makefile.defs
 
@@ -59,7 +65,7 @@
 
 override_dh_auto_build: praat.1 praat_nogui.1 praat-launch.1
 	dh_auto_build
-	cp makefiles/makefile.defs.linux.nogui makefile.defs
+	cp makefiles/makefile.defs.linux.nogui.$(ENDIANESS) makefile.defs
 	# Add hardening flags
 	cat debian/mk-vars-hardening >> makefile.defs
 	rm -f melder/*.o sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\
