## praat 6.4.58+dfsg

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 18 October 2025
+# 31 December 2025
 
 include ../makefile.defs
 
@@ -43,7 +43,6 @@
 	Polygon_extensions.o Procrustes.o \
 	Proximity.o Proximity_and_Distance.o \
 	Resonator.o Roots_to_Spectrum.o \
-	SampledIntoSampled.o SampledFrameIntoSampledFrame.o \
 	SoundFrames.o \
 	Sound_and_MultiSampledSpectrogram.o Sound_and_MixingMatrix.o \
 	Sound_and_Spectrum_dft.o \
