=== debian/changelog ===
praat (6.4.58+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.58+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 05 Feb 2026 08:48:28 +0000
