=== debian/changelog ===
praat (6.4.59+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.59+dfsg
  * d/clean: Remove test/script/recursive_file/kanweg.txt file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Feb 2026 04:59:05 +0000
