## praat 6.4.60+dfsg

=== debian/changelog ===
praat (6.4.60+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.60+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 19 Feb 2026 16:28:00 +0000
